ompi/mca/ptl/self/ptl_self.h File Reference.TH "ompi/mca/ptl/self/ptl_self.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/ptl/self/ptl_self.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'class/ompi_free_list.h'\fP
.br
\fC#include 'opal/event/event.h'\fP
.br
\fC#include 'mca/pml/pml.h'\fP
.br
\fC#include 'mca/ptl/ptl.h'\fP
.br
\fC#include 'mca/ptl/base/ptl_base_sendreq.h'\fP
.br
\fC#include 'mca/ptl/base/ptl_base_recvreq.h'\fP
.br
\fC#include 'mca/ptl/base/ptl_base_recvfrag.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_ptl_self_component_t\fP \fBmca_ptl_self_component_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_ptl_self_send_request_t\fP \fBmca_ptl_self_send_request_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBmca_ptl_self_send_request_t\fP)"
.br
.ti -1c
.RI "int \fBmca_ptl_self_component_open\fP (void)"
.br
.RI "\fIRegister SELF component parameters with the MCA framework. \fP"
.ti -1c
.RI "int \fBmca_ptl_self_component_close\fP (void)"
.br
.RI "\fIAny final cleanup before being unloaded. \fP"
.ti -1c
.RI "\fBmca_ptl_base_module_t\fP ** \fBmca_ptl_self_component_init\fP (int *num_ptls, bool enable_progress_threads, bool enable_mpi_threads)"
.br
.RI "\fISELF component initialization. \fP"
.ti -1c
.RI "int \fBmca_ptl_self_add_proc\fP (struct \fBmca_ptl_base_module_t\fP *ptl, size_t nprocs, struct ompi_proc_t **ompi_proc, struct \fBmca_ptl_base_peer_t\fP **peer_ret, struct ompi_bitmap_t *reachable)"
.br
.ti -1c
.RI "int \fBmca_ptl_self_del_proc\fP (struct \fBmca_ptl_base_module_t\fP *ptl, size_t nprocs, struct ompi_proc_t **proc, struct \fBmca_ptl_base_peer_t\fP **ptl_peer)"
.br
.ti -1c
.RI "int \fBmca_ptl_self_finalize\fP (struct \fBmca_ptl_base_module_t\fP *ptl)"
.br
.ti -1c
.RI "int \fBmca_ptl_self_request_init\fP (struct \fBmca_ptl_base_module_t\fP *ptl, struct \fBmca_ptl_base_send_request_t\fP *request)"
.br
.ti -1c
.RI "void \fBmca_ptl_self_request_fini\fP (struct \fBmca_ptl_base_module_t\fP *ptl, struct \fBmca_ptl_base_send_request_t\fP *request)"
.br
.ti -1c
.RI "int \fBmca_ptl_self_send\fP (struct \fBmca_ptl_base_module_t\fP *ptl, struct \fBmca_ptl_base_peer_t\fP *ptl_base_peer, struct \fBmca_ptl_base_send_request_t\fP *request, size_t offset, size_t size, int flags)"
.br
.ti -1c
.RI "void \fBmca_ptl_self_matched\fP (\fBmca_ptl_base_module_t\fP *ptl, \fBmca_ptl_base_recv_frag_t\fP *frag)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "\fBmca_ptl_self_component_t\fP \fBmca_ptl_self_component\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "\fBmca_ptl_base_module_t\fP** mca_ptl_self_component_init (int * num_ptls, bool enable_progress_threads, bool enable_mpi_threads)"
.PP
SELF component initialization. 
.PP
\fBParameters:\fP
.RS 4
\fInum_ptls\fP (OUT) Number of PTLs returned in PTL array. 
.br
\fIallow_multi_user_threads\fP (OUT) Flag indicating wether PTL supports user threads (TRUE) 
.br
\fIhave_hidden_threads\fP (OUT) Flag indicating wether PTL uses threads (TRUE)
.RE
.PP
(1) prepare the local buffering and initialize the SELF engine. 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
